package com.srs.comprehensive.service;

import java.util.HashMap;
import java.util.List;

import com.srs.comprehensive.domain.SrsAspect;

/**
 * 加分规则Service接口
 * 
 * @author srs
 * @date 2023-06-19
 */
public interface ISrsAspectService 
{
    /**
     * 查询加分规则
     * 
     * @param id 加分规则主键
     * @return 加分规则
     */
    public SrsAspect selectSrsAspectById(Long id);

    /**
     * 查询加分规则列表
     * 
     * @param srsAspect 加分规则
     * @return 加分规则集合
     */
    public List<SrsAspect> selectSrsAspectList(SrsAspect srsAspect);
    /**
     * 查询加分规则列表
     *树形结构
     * @param srsAspect 加分规则
     * @return 加分规则
     */
    public List<Object> selectSrsAspectListTree(SrsAspect srsAspect);
    /**
     * 新增加分规则
     * 
     * @param srsAspect 加分规则
     * @return 结果
     */
    public int insertSrsAspect(SrsAspect srsAspect);

    /**
     * 修改加分规则
     * 
     * @param srsAspect 加分规则
     * @return 结果
     */
    public int updateSrsAspect(SrsAspect srsAspect);

    /**
     * 批量删除加分规则
     * 
     * @param ids 需要删除的加分规则主键集合
     * @return 结果
     */
    public int deleteSrsAspectByIds(Long[] ids);

    /**
     * 删除加分规则信息
     * 
     * @param id 加分规则主键
     * @return 结果
     */
    public int deleteSrsAspectById(Long id);
}
